/* Workfile */
DEFINE WORKFILE permissi-wrk LIKE permission.

/* Buffer */
DEFINE BUFFER permission-hlp FOR permissi.

/* Local variable */
DEFINE VARIABLE module-export AS LOGICAL INITIAL FALSE.
DEFINE VARIABLE module-fin AS LOGICAL INITIAL FALSE.
DEFINE VARIABLE module-produktie AS LOGICAL INITIAL FALSE.

FIND FIRST permission WHERE permission.activity = "export-mo" AND
                            permission.can-run = "*" AND
                            permission.can-module = "*" NO-LOCK NO-ERROR.
IF AVAILABLE permission THEN module-export = TRUE.

FIND FIRST permission WHERE permission.activity = "fin-kop" AND
                            permission.can-run = "*" AND
                            permission.can-module = "*" NO-LOCK NO-ERROR.
IF AVAILABLE permission THEN module-fin = TRUE.

FIND FIRST permission WHERE permission.activity = "Produktie" AND
                            permission.can-run = "*" AND
                            permission.can-module = "*" NO-LOCK NO-ERROR.
IF AVAILABLE permission THEN module-produktie = TRUE.



DEFINE STREAM scherm.
OUTPUT STREAM scherm TO TERMINAL.
DEFINE VARIABLE i AS INTEGER.
PAUSE 0 BEFORE-HIDE.
FORM
I NO-LABEL
WITH CENTERED THREE-D OVERLAY ROW 5 FRAME dmp.

INPUT FROM C:\UNITOUCH.V9\UPDATE\permission.d NO-ECHO.
REPEAT:
CREATE permission.
IMPORT permission NO-ERROR.
i = i + 1.
IF i MOD 25 = 0 THEN DISPLAY STREAM scherm i WITH FRAME dmp.
END.
INPUT CLOSE.


INPUT FROM C:\UNITOUCH.V9\UPDATE\permission.d NO-ECHO.
REPEAT:
CREATE permissi-wrk.
IMPORT permissi-wrk NO-ERROR.
i = i + 1.
IF i MOD 25 = 0 THEN DISPLAY STREAM scherm i WITH FRAME dmp.
END.
INPUT CLOSE.

/* Fill translation fields */
FOR EACH permission:
    FIND FIRST permissi-wrk WHERE permissi-wrk.menu-num = permission.menu-num AND
                                  permissi-wrk.item-num = permission.item-num NO-LOCK NO-ERROR.
    IF AVAILABLE permissi-wrk THEN DO:
        DO i = 1 TO 15:
            permission.option-desc[i] = permissi-wrk.option-desc[i].
        END.
    END.
END.



/* Change menu options Fakturatie settings */
FIND permission WHERE permission.menu-num = 1 AND
                      permission.item-num = 10 NO-ERROR.
IF AVAILABLE permission THEN DO:
   ASSIGN
    permission.menu-num = 700
    permission.item-num = 2
    permission.parent-menu-num = ?.
END.

/* Change menu options Fakturatie settings */
FIND permission WHERE permission.menu-num = 15 AND
                      permission.item-num = 2 NO-ERROR.
IF AVAILABLE permission THEN DO:
  ASSIGN
    permission.menu-num = 700
    permission.item-num = 3
    permission.parent-menu-num = ?.
END.

/* Change main menu option Leverancier naar voorraad */
FIND FIRST permission-hlp WHERE permission-hlp.menu-num = 519 AND
                              permission-hlp.item-num = 1 NO-ERROR.
IF AVAILABLE permission-hlp THEN DO:
    /* Change procedure */
    permission-hlp.PROCEDURE = "stock-list".

    FIND permission WHERE permission.menu-num = 0 AND
                          permission.item-num = 6 NO-ERROR.
    IF AVAILABLE permission THEN DO:
       DO i = 1 TO 15:
           permission.option-desc[i] = permission-hlp.option-desc[i].
       END.
    END.
END.
 



/* Change menu options settings */
FIND permission WHERE permission.menu-num = 15 AND
                      permission.item-num = 1 NO-ERROR.
IF AVAILABLE permission THEN DO:
  ASSIGN
    permission.menu-num = 700
    permission.item-num = 8
    permission.parent-menu-num = ?.
END.

/* Change export to excell function */
FIND FIRST permission WHERE permission.activity BEGINS "exportcnf-" NO-ERROR.
IF AVAILABLE permission THEN DO:
    permission.PROCEDURE = "expcnf-excel".
END.

/* Change read in turnover at communication menu */
FIND FIRST permission WHERE permission.menu-num = 14 AND
                            permission.item-num = 1 NO-ERROR.
IF AVAILABLE permission THEN DO:
    permission.PROCEDURE = "import-arj-bdr".
END.

/* Change stock to universal stock view */
FIND FIRST permission WHERE permission.menu-num = 519 AND
                            permission.item-num = 1 NO-ERROR.
IF AVAILABLE permission THEN DO:
    permission.PROCEDURE = "stock-list".
END.

/* Connect POS systems */
FIND FIRST permission WHERE permission.menu-num = 700 AND
                            permission.item-num = 16 NO-ERROR.
IF AVAILABLE permission THEN DO:
    permission.PROCEDURE = "kop-deb-kas".
END.


/* Switch off modules */
IF module-export = FALSE THEN DO:
    FIND FIRST permission WHERE permission.activity = "export-mo" NO-ERROR.
    IF AVAILABLE permission THEN permission.can-module = "!*".
    FIND FIRST permission WHERE permission.activity = "exp-turnov" NO-ERROR.
    IF AVAILABLE permission THEN permission.can-module = "!*".
END.
IF module-fin = FALSE THEN DO:
    FIND FIRST permission WHERE permission.activity = "fin-kop" NO-ERROR.
    IF AVAILABLE permission THEN permission.can-module = "!*".
    FIND FIRST permission WHERE permission.activity = "fin-set" NO-ERROR.
    IF AVAILABLE permission THEN permission.can-module = "!*".
    FIND FIRST permission WHERE permission.activity = "setup-fin" NO-ERROR.
    IF AVAILABLE permission THEN permission.can-module = "!*".
END.
IF module-produktie = FALSE THEN DO:
    FIND FIRST permission WHERE permission.activity = "produktie" NO-ERROR.
    IF AVAILABLE permission THEN permission.can-module = "!*".
END.

/* Convert deb-kass */
FOR EACH deb-kass WHERE deb-kass.c-bedrijf-nr = 0:
    deb-kass.c-bedrijf-nr = deb-kass.bedrijf-nr.
END.

/* Verwijder link naar eigen kassa */
FOR EACH deb-kass WHERE deb-kass.c-bedrijf-nr = deb-kass.bedrijf-nr AND
                        deb-kass.c-kassa-nr   = deb-kass.kassa-nr:
    DELETE deb-kass.
END.


/* CanLanguage */

/* Change Can-Language */
FOR EACH permissi-wrk:
    FIND FIRST permission WHERE permission.menu-num = permissi-wrk.menu-num AND
                                permission.item-num = permissi-wrk.item-num NO-ERROR.
    IF permission.can-language <> permissi-wrk.can-language THEN permission.can-language = permissi-wrk.can-language.
END.
